;   16 
;   
;






.include 	"tn2313adef.inc"	;  tiny2313a


.def	Temp=R16
.def	Temp1=R17
.def	Temp2=R18
.def	Temp3=R19
.def	Temp4=R20			;    SREG
.def	Temp5=R21
.def	Temp6=R22			; 
.def	Temp7=R23			; 
.def	Temp8=R24
.def	Temp9=R25










;******************************************************************************
; 
;******************************************************************************



.dseg					; 





;******************************************************************************
; 
;******************************************************************************



.EQU	Chastota_const=0x9C40		;     (  50  )





;******************************************************************************
;   
;******************************************************************************

.cseg

			

.org 0

rjmp RESET				; External Pin, Power-on Reset, Brown-out Reset, and Watchdog Reset





.org INT_VECTORS_SIZE





;******************************************************************************
;  ***********************************************************************
;******************************************************************************

reset:					;  



	cli				;    


	ldi Temp,low(RamEnd)		;  	
	out SPL,Temp			;



	
	ldi Temp,0b11111111		;   "" (0-, 1-)
	out DDRB,Temp			; 
					 
		
	ldi Temp,0b00000000		;  _0
	out PortB,Temp			; 



		
												 
	ldi Temp,0b00111111		;   "D" (0-, 1-)
	out DDRD,Temp 			; 00xxxxxx -    
					; 0000000 -    (ICP)



	ldi Temp,0b00000000		;  _0
	out PortD,Temp			;




;******************************************************************************
;   _1
;******************************************************************************



;    (  )


					

	ldi Temp, (1<<COM1A1)|(1<<COM1B1)|(1<<WGM11)
	out TCCR1A,Temp	
				
					;      icr //   ,   
					; *1 (     )
					;   OC1A    !    !


					; COM1A1  /   OC1A // 
					; COM1A0  /   OC1A // 
					; COM1B1  /   OC1B // 
					; COM1B0  /   OC1B //  
					; WGM11=1 /  *
					; WGM10=0 /  *





	ldi Temp, (1<<WGM13)|(1<<WGM12)|(1<<cs11)	
	out TCCR1B,Temp					
	

					;   = CK 1:8 (16/8=2) 1   = 0,5 
					;   !!!

					; ICNC1=0 /     ICP // 
					; ICES1=0 /    ICP   
					; WGM13=1 /  *
					; WGM12=1 /  *   ( Fast PWM )
					; CS12=0  /  
					; CS11=1  /   
					; CS10=0  /   = CK 1:8 (16/8=2) 1   = 0,5 




	LDI Temp,high(Chastota_const)	;    (   50 )
	OUT ICR1H,Temp			;      
	LDI Temp,low(Chastota_const)							
	OUT ICR1L,Temp 



	LDI Temp,0			;     OC1A = 0  (   )
	OUT OCR1AH,Temp			
	LDI Temp,0							
	OUT OCR1AL,Temp  



	LDI Temp, 0xB			;     OC1B = 1,5 
	OUT OCR1BH,Temp		
	LDI Temp, 0xB8							
	OUT OCR1BL,Temp 




;******************************************************************************
;  
;******************************************************************************



	ldi Temp,0			;  _1
	out TCNT1H,Temp
	out TCNT1L,Temp

	sei				;   




	

;*******************************************************************************
;   *****************************************************************
;*******************************************************************************


Main_cicle:


	
	rjmp Main_cicle			; 





